MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
StorageDirectoryReader Class Referenceabstract

`#include <StorageInterface.hxx>`

Inheritance diagram for StorageDirectoryReader:
[legend]

## Public Member Functions
| StorageDirectoryReader ()=default
| StorageDirectoryReader (const StorageDirectoryReader &)=delete
virtual | ~StorageDirectoryReader ()
virtual const char * | Read ()=0
virtual gcc_pure StorageFileInfo | GetInfo (bool follow)=0
| Throws #std::runtime_error on error. More...

## Detailed Description

Definition at line 31 of file StorageInterface.hxx.

## Constructor & Destructor Documentation

StorageDirectoryReader::StorageDirectoryReader | ( |  | ) |
| default

StorageDirectoryReader::StorageDirectoryReader | ( | const StorageDirectoryReader & |  | ) |
| delete

virtual StorageDirectoryReader::~StorageDirectoryReader | ( |  | ) |
| inline virtual

Definition at line 35 of file StorageInterface.hxx.

## Member Function Documentation

virtual gcc_pure StorageFileInfo StorageDirectoryReader::GetInfo | ( | bool | follow | ) |
| pure virtual

Throws #std::runtime_error on error.

Implemented in MemoryStorageDirectoryReader.

virtual const char* StorageDirectoryReader::Read | ( |  | ) |
| pure virtual

Implemented in MemoryStorageDirectoryReader.

The documentation for this class was generated from the following file:

- storage/StorageInterface.hxx